diff --git a/ruby-gobject-introspection.cygport b/ruby-gobject-introspection.cygport
index 7da4238..0a18d04 100644
--- a/ruby-gobject-introspection.cygport
+++ b/ruby-gobject-introspection.cygport
@@ -1,13 +1,29 @@
 inherit rubygem
 
 NAME="ruby-gobject-introspection"
-VERSION=3.2.9
+VERSION=4.1.7
 RELEASE=1
 CATEGORY="Ruby"
 SUMMARY="Ruby gobject-introspection extension"
 DESCRIPTION="Ruby/GObjectIntrospection is a Ruby binding of the GObject
 Introspection library."
-HOMEPAGE="http://ruby-gnome2.sourceforge.jp/"
+HOMEPAGE="https://ruby-gnome.github.io/"
+
+BUILD_REQUIRES="libgirepository1.0-devel ruby-glib2-devel"
+LICENSE="LGPL-2.1-or-later"
+
+RUBYGEM_CONFIGURE_ARGS="--with-ldflags=-Wl,--out-implib=libruby-gobject_introspection.a"
+
+src_install()
+{
+	cd ${S}
+	rubygem_install
+
+	pushd ${D}/usr/lib/pkgconfig
+	echo "" >> ${NAME}.pc
+	echo "Libs: -lruby-gobject_introspection" >> ${NAME}.pc
+	popd
+}
 
 PKG_NAMES="${NAME} ${NAME}-devel ${NAME}-doc"
 ruby_gobject_introspection_CONTENTS=${RUBYGEM_EXTDIR#/}" "${RUBYGEM_INSTDIR#/}" "${RUBYGEM_SPEC#/}
